| 0.9.8

- Main Page
- Modules
- Files

- File List

Functions
func_packing.hpp File Reference

Go to the source code of this file.

## Functions
GLM_FUNC_DECL double | packDouble2x32 (uvec2 const &v)
GLM_FUNC_DECL uint | packHalf2x16 (vec2 const &v)
GLM_FUNC_DECL uint | packSnorm2x16 (vec2 const &v)
GLM_FUNC_DECL uint | packSnorm4x8 (vec4 const &v)
GLM_FUNC_DECL uint | packUnorm2x16 (vec2 const &v)
GLM_FUNC_DECL uint | packUnorm4x8 (vec4 const &v)
GLM_FUNC_DECL uvec2 | unpackDouble2x32 (double v)
GLM_FUNC_DECL vec2 | unpackHalf2x16 (uint v)
GLM_FUNC_DECL vec2 | unpackSnorm2x16 (uint p)
GLM_FUNC_DECL vec4 | unpackSnorm4x8 (uint p)
GLM_FUNC_DECL vec2 | unpackUnorm2x16 (uint p)
GLM_FUNC_DECL vec4 | unpackUnorm4x8 (uint p)

## Detailed Description

GLM Core

See also
  GLSL 4.20.8 specification, section 8.4 Floating-Point Pack and Unpack Functions
  GLM_GTC_packing

Definition in file func_packing.hpp.